diff --git a/src/mmg3d/hash_3d.c b/src/mmg3d/hash_3d.c
index 6d8680ee..f454001f 100644
--- a/src/mmg3d/hash_3d.c
+++ b/src/mmg3d/hash_3d.c
@@ -751,7 +751,7 @@ int MMG5_setNmTag(MMG5_pMesh mesh, MMG5_Hash *hash) {
 
   /* Second: seek the non-required non-manifold points and try to analyse
    * whether they are corner or required. */
-  if ( !MMG5_setVertexNmTag(mesh) ) return 0;
+  //if ( !MMG5_setVertexNmTag(mesh) ) return 0;
 
   return 1;
 }
diff --git a/src/mmg3d/libmmg3d.c b/src/mmg3d/libmmg3d.c
index 806b063f..a3e88aae 100644
--- a/src/mmg3d/libmmg3d.c
+++ b/src/mmg3d/libmmg3d.c
@@ -878,6 +878,9 @@ int MMG3D_mmg3dlib(MMG5_pMesh mesh,MMG5_pSol met) {
     _LIBMMG5_RETURN(mesh,met,MMG5_LOWFAILURE);
   }
 
+  MMG5_unscaleMesh(mesh,met);
+  MMG5_RETURN_AND_PACK(mesh,met,NULL,MMG5_LOWFAILURE);
+
   if ( mesh->info.imprim > 1 && met->m ) MMG3D_prilen(mesh,met,0);
 
   chrono(OFF,&(ctim[2]));
